type ButtonTypes = {
    children?: any;
    text?: string | null;
    icon?: any;
    small?: boolean;
    big?: boolean;
    scaleHover?: boolean;
    pseudoElement?: boolean;
    checked?: boolean;
    theme?: "info" | "danger" | "success" | "warning" | "cancel" | "transparent";
    TagWrapper?: any;
    classWrapper?: string;
    classPseudo?: string;
    type?: HTMLButtonElement["type"];
    disabled?: HTMLButtonElement["disabled"];
    onClick?: HTMLButtonElement["onclick"];
};
export default function Button({ children, text, icon, small, big, scaleHover, pseudoElement, checked, theme, TagWrapper, classWrapper, classPseudo, ...props }: ButtonTypes): import("react/jsx-runtime").JSX.Element;
export {};
